Final commit for R2 release

This commit is contained in:
Gaston Gonzalez
2024-05-27 13:42:38 -07:00
parent b99dec8349
commit 1f1e55637f
10 changed files with 279 additions and 8 deletions
+6
View File
@@ -2,6 +2,7 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 19 May 2024
# Purpose : Global environment variables
export ET_HOME=/opt/emcomm-tools
@@ -9,3 +10,8 @@ export ET_USER=games
export ET_GROUP=games
export ET_TEMP_DIR=/tmp/et
export ET_LOG_FILE=$ET_TEMP_DIR/et.log
# Location for source code
export ET_DIST_DIR=/opt/dist
export ET_SRC_DIR=/opt/src
+5
View File
@@ -2,9 +2,13 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 17 May 2024
# Purpose : Install base tools
set -e
et-log "Installing message of the day"
cp -v ../overlay/etc/motd /etc/
et-log "Installing base packages"
apt install \
build-essential \
@@ -17,5 +21,6 @@ apt install \
openssh-server \
screen \
stow \
xsel \
tree \
-y
+47
View File
@@ -0,0 +1,47 @@
#!/bin/bash
#
# Author : Gaston Gonzalez
# Date : 25 November 2022
# Updated : 19 May 2024
# Purpose : Install hamlib for rig control
set -e
ET_DIST_DIR=/opt/dist
ET_SRC_DIR=/opt/src
VERSION=4.5
APP_AND_VERSION=hamlib-$VERSION
TARBALL=$APP_AND_VERSION.tar.gz
URL=https://github.com/Hamlib/Hamlib/releases/download/$VERSION/$TARBALL
INSTALL_DIR=/opt/$APP_AND_VERSION
LINK_PATH=/opt/hamlib
if [ ! -e $ET_DIST_DIR/$TARBALL ]; then
et-log "Downloading hamlib: $URL "
curl -s -L -O --fail $URL
[ ! -e $ET_DIST_DIR ] && mkdir -v $ET_DIST_DIR
[ ! -e $ET_SRC_DIR ] && mkdir -v $ET_SRC_DIR
mv $TARBALL $ET_DIST_DIR
fi
CWD_DIR=`pwd`
cd $ET_SRC_DIR
et-log "Unpacking $ET_DIST_DIR/$TARBALL"
tar -xzf $ET_DIST_DIR/$TARBALL && cd $APP_AND_VERSION
[ ! -e $INSTALL_DIR ] && mkdir -v $INSTALL_DIR
et-log "Building Hamlib $VERSION"
./configure --prefix=$INSTALL_DIR
make && make check && make install
[ -e $LINK_PATH ] && rm $LINK_PATH
ln -v -s $INSTALL_DIR $LINK_PATH
stow -v -d /opt hamlib -t /usr/local
cd $CWD_DIR
+54
View File
@@ -0,0 +1,54 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 6 April 2023
# Updated : 19 May 2024
# Purpose : Install JS8Call
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
VERSION="2.2.0"
FILE="js8call_${VERSION}_20.04_amd64.deb"
URL="http://files.js8call.com/${VERSION}/${FILE}"
et-log "Installing JS8Call dependencies..."
apt install \
libqt5serialport5 \
libqt5multimedia5-plugins \
libqt5widgets5 \
libqt5multimediawidgets5 \
libqt5core5a \
libqt5gui5 \
libqt5multimedia5 \
libqt5network5 \
libqt5printsupport5 \
libqt5serialport5 \
libqt5widgets5 \
libdouble-conversion3 \
libpcre2-16-0 \
qttranslations5-l10n \
libmd4c0 \
libqt5dbus5 \
libxcb-xinerama0 \
libxcb-xinput0 \
libqt5svg5 \
qt5-gtk-platformtheme \
libqt5multimediagsttools5 \
libgfortran5 \
-y
if [ ! -e $ET_DIST_DIR/$FILE ]; then
et-log "Downloading JS8Call: $URL"
curl -s -L -O --fail $URL
[ ! -e $ET_DIST_DIR ] && mkdir -v $ET_DIST_DIR
mv -v $FILE $ET_DIST_DIR
else
et-log "${FILE} already downloaded. Skipping..."
fi
dpkg -i $ET_DIST_DIR/$FILE
+5 -4
View File
@@ -2,10 +2,8 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 19 May 2024
# Purpose : Main installer for EmComm Tools OS Community
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ./functions.sh
@@ -24,4 +22,7 @@ exitIfNotRoot
./configure-gnome.sh
./configure-user.sh
#./cf20-fix-brightness.sh
./fix-panasonic-brightness.sh
./install-hamlib.sh
./install-js8call.sh